Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net
Interface BasicConnection

All Known Implementing Classes:
  FilesystemConnection, FtpConnection, NfsConnection, Sftp2Connection, SftpConnection, SmbConnection, WebdavConnection

    public interface BasicConnection

Interface for all connection types

Field Summary
`static boolean` | `hasUploaded`

Method Summary
`void` | `addConnectionListener(ConnectionListener listener)`
`boolean` | `cdup()`
`boolean` | `chdir(java.lang.String p)`
`boolean` | `chdirNoRefresh(java.lang.String p)`
`void` | `disconnect()`
`int` | `download(java.lang.String file)`
`java.io.InputStream` | `getDownloadInputStream(java.lang.String file)`
`java.lang.String` | `getLocalPath()`
`int[]` | `getPermissions()`
`java.lang.String` | `getPWD()`
`int` | `handleDownload(java.lang.String file)`
`int` | `handleUpload(java.lang.String file)`
`boolean` | `isConnected()`
`void` | `list()`
`boolean` | `mkdir(java.lang.String dirName)`
`int` | `removeFileOrDir(java.lang.String file)`
`boolean` | `rename(java.lang.String from, java.lang.String to)`
`void` | `sendRawCommand(java.lang.String cmd)`
`void` | `setConnectionListeners(java.util.Vector<ConnectionListener> listeners)`
`boolean` | `setLocalPath(java.lang.String newPath)`
`java.util.Date[]` | `sortDates()`
`java.lang.String[]` | `sortLs()`
`java.lang.String[]` | `sortSize()`
`int` | `upload(java.lang.String file)`
`int` | `upload(java.lang.String file, java.io.InputStream in)`

Field Detail

### hasUploaded

    static final boolean hasUploaded

See Also:
  Constant Field Values

Method Detail

### sendRawCommand

    void sendRawCommand(java.lang.String cmd)

### disconnect

    void disconnect()

### isConnected

    boolean isConnected()

### getPWD

    java.lang.String getPWD()

### cdup

    boolean cdup()

### mkdir

    boolean mkdir(java.lang.String dirName)

### list

    void list()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### chdir

    boolean chdir(java.lang.String p)

### chdirNoRefresh

    boolean chdirNoRefresh(java.lang.String p)

### getLocalPath

    java.lang.String getLocalPath()

### setLocalPath

    boolean setLocalPath(java.lang.String newPath)

### sortLs

    java.lang.String[] sortLs()

### sortSize

    java.lang.String[] sortSize()

### sortDates

    java.util.Date[] sortDates()

### getPermissions

    int[] getPermissions()

### handleDownload

    int handleDownload(java.lang.String file)

### handleUpload

    int handleUpload(java.lang.String file)

### download

    int download(java.lang.String file)

### upload

    int upload(java.lang.String file)

### upload

    int upload(java.lang.String file,
               java.io.InputStream in)

### getDownloadInputStream

    java.io.InputStream getDownloadInputStream(java.lang.String file)

### removeFileOrDir

    int removeFileOrDir(java.lang.String file)

### addConnectionListener

    void addConnectionListener(ConnectionListener listener)

### setConnectionListeners

    void setConnectionListeners(java.util.Vector<ConnectionListener> listeners)

### rename

    boolean rename(java.lang.String from,
                   java.lang.String to)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD